## modemmanager 1.20.0

=== meson_options.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
# Copyright (C) 2021 Iñigo Martinez <inigomartinez@gmail.com>

option('udev', type: 'boolean', value: true, description: 'enable udev support')
option('udevdir', type: 'string', value: '', description: 'udev base directory')

option('tests', type: 'boolean', value: true, description: 'enable tests')

option('dbus_policy_dir', type: 'string', value: '', description: 'd-bus system policy directory')

option('systemdsystemunitdir', type: 'string', value: '', description: 'systemd system units directory')
option('systemd_suspend_resume', type: 'boolean', value: true, description: 'enable suspend/resume support with systemd')
option('powerd_suspend_resume', type: 'boolean', value: false, description: 'enable suspend/resume support with powerd')
option('systemd_journal', type: 'boolean', value: true, description: 'enable systemd journal support')

option('polkit', type: 'combo', choices: ['strict', 'permissive', 'no'], value: 'strict', description: 'User auth-polkit configuration option.')

option('at_command_via_dbus', type: 'boolean', value: false, description: 'enable at commands vida d-bus')

option('mbim', type: 'boolean', value: true, description: 'enable MBIM support')
option('qmi', type: 'boolean', value: true, description: 'enable QMI support')
option('qrtr', type: 'boolean', value: true, description: 'enable QRTR support')

option('dist_version', type: 'string', value: '', description: 'define the custom version (like distribution package name and revision')

option('plugin_generic', type: 'feature', value: 'auto', description: 'enable generic plugin support')
option('plugin_altair_lte', type: 'feature', value: 'auto', description: 'enable altair lte plugin support')
option('plugin_anydata', type: 'feature', value: 'auto', description: 'enable anydata plugin support')
option('plugin_broadmobi', type: 'feature', value: 'auto', description: 'enable broadmobi plugin support')
option('plugin_cinterion', type: 'feature', value: 'auto', description: 'enable cinterion plugin support')

# shared_sierra, shared_novatel, shared_xmm, shared_telit, shared_foxonn
option('plugin_dell', type: 'feature', value: 'auto', description: 'enable dell plugin support')

option('plugin_dlink', type: 'feature', value: 'auto', description: 'enable dlink plugin support')

# shared_xmm
option('plugin_fibocom', type: 'feature', value: 'auto', description: 'enable fibocom plugin support')

# shared_foxconn
option('plugin_foxconn', type: 'feature', value: 'auto', description: 'enable foxconn plugin support')
option('plugin_gosuncn', type: 'feature', value: 'auto', description: 'enable gosuncn plugin support')
option('plugin_haier', type: 'feature', value: 'auto', description: 'enable haier plugin support')
option('plugin_huawei', type: 'feature', value: 'auto', description: 'enable huawei plugin support')
option('plugin_intel', type: 'feature', value: 'auto', description: 'enable intel plugin support')
option('plugin_iridium', type: 'feature', value: 'auto', description: 'enable iridium plugin support')
option('plugin_linktop', type: 'feature', value: 'auto', description: 'enable linktop plugin support')
option('plugin_longcheer', type: 'feature', value: 'auto', description: 'enable longcheer plugin support')
option('plugin_mbm', type: 'feature', value: 'auto', description: 'enable mbm plugin support')
option('plugin_motorola', type: 'feature', value: 'auto', description: 'enable motorola plugin support')
option('plugin_mtk', type: 'feature', value: 'auto', description: 'enable mtk plugin support')
option('plugin_nokia', type: 'feature', value: 'auto', description: 'enable nokia plugin support')

# shared_icera
option('plugin_nokia_icera', type: 'feature', value: 'auto', description: 'enable nokia icera plugin support')

# shared_novatel
option('plugin_novatel', type: 'feature', value: 'auto', description: 'enable novatel plugin support')
option('plugin_novatel_lte', type: 'feature', value: 'auto', description: 'enable novatel lte plugin support')

# shared_option
option('plugin_option', type: 'feature', value: 'auto', description: 'enable option plugin support')

# shared_option
option('plugin_option_hso', type: 'feature', value: 'auto', description: 'enable option hso plugin support')
option('plugin_pantech', type: 'feature', value: 'auto', description: 'enable pantech plugin support')

option('plugin_qcom_soc', type: 'feature', value: 'auto', description: 'enable qcom soc plugin support')
option('plugin_quectel', type: 'feature', value: 'auto', description: 'enable quectel plugin support')

# shared_icera
option('plugin_samsung', type: 'feature', value: 'auto', description: 'enable samsung plugin support')

# shared_icera, shared_sierra
option('plugin_sierra_legacy', type: 'feature', value: 'auto', description: 'enable sierra legacy plugin support')

# shared_xmm
option('plugin_sierra', type: 'feature', value: 'auto', description: 'enable sierra plugin support')
option('plugin_simtech', type: 'feature', value: 'auto', description: 'enable simtech plugin support')

# shared_telit
option('plugin_telit', type: 'feature', value: 'auto', description: 'enable telit plugin support')
option('plugin_thuraya', type: 'feature', value: 'auto', description: 'enable thuraya plugin support')
option('plugin_tplink', type: 'feature', value: 'auto', description: 'enable tplink plugin support')
option('plugin_ublox', type: 'feature', value: 'auto', description: 'enable ublox plugin support')
option('plugin_via', type: 'feature', value: 'auto', description: 'enable via plugin support')
option('plugin_wavecom', type: 'feature', value: 'auto', description: 'enable wavecom plugin support')
option('plugin_x22x', type: 'feature', value: 'auto', description: 'enable x22x plugin support')

# shared_icera
option('plugin_zte', type: 'feature', value: 'auto', description: 'enable zte plugin support')

option('introspection', type: 'boolean', value: true, description: 'build introspection support')
option('vapi', type: 'boolean', value: false, description: 'build vala bindings')

option('man', type: 'boolean', value: true, description: 'build manual pages')
option('gtk_doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')

option('bash_completion', type: 'boolean', value: true, description: 'install bash completion files')

## modemmanager 0.4+git.20110124t203624.00b6cce

=== debian/changelog ===
modemmanager (0.4+git.20110124t203624.00b6cce-2ubuntu1) natty; urgency=low

  * debian/patches/git-backport-e208c52-to-0c4b944.patch: backport a number of
    upstream bug fixes:
    - gsm: fix for parsing malformed Gobi CREG response
    - core: allow plugins to handle custom init responses (LP: #712580)
    - policy: loosen permissions somewhat for reading device info (kde#266807)
    - logging: use glong for secs and usecs
    - cdma: ensure the ActivationStateChanged signal exists
    - log: fix spacing so messages line up
    - simtech: add port tags for SCT U300 (Element Mobile)
    - core: allow platform devices without a VID/PID
    - zte: fix handling of Icera simple connect process
    - icera: fix username and password ordering for authentication
  * debian/patches/0001-Use-type-glong-for-secs-and-usecs.patch: drop, included
    in the above backports from upstream.
  * debian/patches/git-backport-verbose-cmee-errors-7d20acc.patch: backport
    patch to make sure error reporting is set to verbose when asking modems
    about PIN status, so we get a useful message instead of a generic error.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Sun, 10 Apr 2011 18:16:54 -0400

modemmanager (0.4+git.20110124t203624.00b6cce-2) unstable; urgency=low

  * debian/patches/0001-Use-type-glong-for-secs-and-usecs.patch
    - GVariant defines tv_usec  as glong and suseconds_t is not guaranteed to
      be of type long on sparc, resulting in a build failure.
      So use type glong instead for sec and usecs.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Feb 2011 11:16:05 +0100

modemmanager (0.4+git.20110124t203624.00b6cce-1) unstable; urgency=low

  * Upload to unstable.
  * Fixes GTest build failures. (Closes: #614448)
  * Switch to source format 3.0 (quilt)
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
  * Bump Standards-Version to 3.9.1. No further changes.
  * Bump Build-Depends on libdbus-glib-1-dev to (>= 0.86).

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Feb 2011 00:08:15 +0100

modemmanager (0.4+git.20110124t203624.00b6cce-0ubuntu1) natty; urgency=low

  * upstream snapshot 2011-01-24 20:36:24 (GMT)
    + 00b6cce4df7d4acbf3e580a03c2f044e18589d2c
    - rules: blacklist some unlikely USB serial dongles
    - gsm: enable unsolicited codes on secondary ports too
    - test: handle cancel and distinguish between initiate and respond
    - gsm: wire up USSD Respond function
    - api: add reply parameter to USSD Respond method
    - linktop: add plugin for Linktop/Teracom LW273
    - gsm: prefer AT+CIND signal quality for modems that support it (LP: #682282)
    - huawei: don't spam syslog with tx/rx stats (LP: #673457, #662791)
    - gsm: query signal strength with +CIND if modem does not support +CSQ
    - gsm: add preliminary USSD support
    - huawei: fix potential double-free on error
    - core: prefer CDMA capabilities over GSM for dual-mode devices
    - gsm: allow use of GSM 03.38 character set
    - polkit: fix for polkit >= 0.97
    - core: work around dbus-glib property access bug (CVE-2010-1172)
  * debian/patches/qdl-blacklist.patch: add a blacklist of Gobi QDL devices so
    that we don't break firmware loading by trying to initialize them before
    the modem is really ready. (LP: #686418)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 26 Jan 2011 21:03:12 -0500

modemmanager (0.4+git.20100809t153145.be28089-0ubuntu1) maverick; urgency=low

  * upstream snapshot 2010-08-09 15:31:45 (GMT)
    + be28089dc4c1b07d9def45a3c763f432ae8322c4
    - cdma: determine EVDO registration even when in 1X mode
    - zte: add more port tags
    - gsm: ensure invalid operator names don't get used (rh #597088)
    - nokia: N900 appears to need a longer port delay (rh #583691)
    - novatel: detect CDMA home/roaming status
    - novatel: fix S720 signal quality reporting

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 11 Aug 2010 10:57:27 -0400

modemmanager (0.4+git.20100624t180933.6e79d15-1) unstable; urgency=low

  [ Michael Biebl ]
  * New upstream release. (Closes: #585957)
  * Drop debian/patches/01-termios.patch, merged upstream.
  * debian/rules
    - Drop aclocal workaround, no longer required.
    - Add intltoolize call to pre-build.

  [ Mathieu Trudel-Lapierre ]
  * upstream snapshot 2010-06-24 18:09:33 (GMT)
    + 6e79d153efc30fb2030536f7f795c19ad4a0661a
  * Add myself to Uploaders.
    - update debian/control

  [ Michael Biebl ]
  * Use watch file to track new upstream releases.
    - Add debian/watch.
  * Add Build-Depends on intltool.
    - Update debian/control.

 -- Michael Biebl <biebl@debian.org>  Sun, 27 Jun 2010 02:46:38 +0200

modemmanager (0.3-2) unstable; urgency=low

  [ Alexander Sack ]
  * also bump debhelper build-depends to >= 7
    - update debian/control
  * recommend usb-modeswitch
    - update debian/control
  * fix lintian warning about empty quilt series file; add
    a single line comment
    - update debian/patches/series
  * add Michael Biebl <biebl@debian.org> to Uploaders
    - update debian/control
  * use asac@ubuntu.com as maintainer as the mailing list
    bounces bug mail (Closes: #566833)
    - update debian/control

  [ Michael Biebl ]
  * Bump Standards-Version to 3.8.4. No further changes.
    - update debian/control
  * Fix FTBFS on alpha by using the POSIX.1 struct termios interface instead
    of the obsolete struct termio ioctl interface. (Closes: #570661)
    - add debian/patches/01-termios.patch

 -- Michael Biebl <biebl@debian.org>  Mon, 01 Mar 2010 18:07:54 +0100

modemmanager (0.3-1) unstable; urgency=low

  * initial upload to debian (Closes: #546587)
  * address ftpmaster comments: refined debian/copyright to list all copyright
    holders and explicitly declare doc-generator.xsl to be LGPL-2.1
    - update debian/copyright
  * use debhelper compat level 7 and bump Standards-Version to 3.8.3


=== debian/control ===
Source: modemmanager
Section: net
Priority: optional
Maintainer: Alexander Sack <asac@ubuntu.com>
Uploaders: Alexander Sack <asac@debian.org>, Michael Biebl <biebl@debian.org>, Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>
Build-Depends: debhelper (>= 7),
	automake (>= 1:1.10), automake (<< 1:1.12),
	cdbs,
	libtool,
	libdbus-glib-1-dev (>= 0.86),
	libglib2.0-dev (>= 2.18),
	libgudev-1.0-dev,
	xsltproc,
	intltool
Standards-Version: 3.9.1
Vcs-Bzr: https://code.launchpad.net/~modemmanager/modemmanager/ubuntu

Package: modemmanager
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends}
Recommends: usb-modeswitch
Description: D-Bus service for managing modems
 Provides a D-Bus interface to communicate with mobile broadband (GSM, CDMA,
 UMTS, ...) cards. Implements a loadable plugin interface to add work-arounds
 for non standard devices. Also provides patches to use networkmanager (and
 the applet) with modem manager.
 .
 Git Repository: http://cgit.freedesktop.org/ModemManager/ModemManager/

=== debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_UPDATE_LIBTOOL = pre
DEB_AUTO_UPDATE_AUTOHEADER = 2.50
DEB_AUTO_UPDATE_AUTOCONF = 2.50

# use automake 1.10 ... or 1.11
ifneq (,$(wildcard /usr/bin/aclocal-1.11))
DEB_AUTO_UPDATE_ACLOCAL = 1.11
DEB_AUTO_UPDATE_AUTOMAKE = 1.11 -a -c -f
else
DEB_AUTO_UPDATE_ACLOCAL = 1.10
DEB_AUTO_UPDATE_AUTOMAKE = 1.10 -a -c -f
endif

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_MAJOR_VERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/git.*//')

DEB_DH_MAKESHLIBS_ARGS_modemmanager := -X/usr/lib/ModemManager/ -X/usr/lib/pppd/

DEB_INSTALL_DOCS_ALL := README AUTHORS docs/spec.html

DEB_CONFIGURE_EXTRA_FLAGS += \
		--with-docs \
		$(NULL)

GIT_URL := git://anongit.freedesktop.org/ModemManager/ModemManager
GIT_BRANCH := "master"
GIT_BRANCH_NAME := ModemManager

ifneq (,$(LOCAL_BRANCH))
LOCAL_REAL_BRANCH = $(realpath $(LOCAL_BRANCH))
endif

pre-build::
	# run intltoolize before updating the build system
	intltoolize -f

GET_SOURCE = \
	set -e; \
	tmpdir=`mktemp -d -t`; \
	cd $$tmpdir; \
		echo "cloning upstream repository ..."; \
		git clone $(if $(LOCAL_BRANCH),$(call LOCAL_REAL_BRANCH)/$(GIT_BRANCH_NAME),$(GIT_URL)); \
		echo "getting specific upstream revision/tag: $(1)"; \
		cd `ls | head -n 1`; git checkout -b orig $(1); \
		commit_id=`git log -n1 --abbrev-commit | grep '^commit ' | sed -e 's/commit //'`; \
		raw=`date --utc --date="$$(git log --pretty=fuller -n1 --date=rfc | grep CommitDate: | sed -e 's/CommitDate:[^0-9]*//')" "+%Y%m%dt%H%M%S"`; \
		if echo $(1) | grep -c "orig" > /dev/null || echo $(DEB_VERSION) | grep -c "git" > /dev/null; \
		then \
			upstream_version=$(DEB_MAJOR_VERSION)git.$$raw.$$commit_id; \
		else \
			upstream_version=$(DEB_UPSTREAM_VERSION); \
		fi; \
		cd ..; tar --exclude=.git -czf $(CURDIR)/$(DEB_SOURCE_PACKAGE)_$$upstream_version.orig.tar.gz `ls | head -n 1`; \
		cd $(CURDIR); rm -rf $$tmpdir;

binary-post-install/modemmanager::
	find $(CURDIR)/debian/modemmanager/ -name \*.a | xargs rm
	find $(CURDIR)/debian/modemmanager/ -name \*.la | xargs rm

get-current-source:: $(if $(LOCAL_BRANCH), update-local-branch)
	set -e; if echo $(DEB_VERSION) | grep -c "git" > /dev/null; \
	then \
		git_version=`echo $(DEB_VERSION) | sed -e 's/^.*git\.*\([0-9t]*\)\.\(.*\)-.*$$/\2/g'`; \
	else \
		git_version=$(DEB_UPSTREAM_VERSION); \
	fi; \
	$(call GET_SOURCE, $$git_version, "current")

get-orig-source:: $(if $(LOCAL_BRANCH), update-local-branch)
	$(call GET_SOURCE, $(GIT_BRANCH), "orig")

update-local-branch::
	@echo "updating local branch: $(LOCAL_BRANCH) ..."
	@set -e; if ! test -d $(LOCAL_BRANCH); then mkdir -p $(LOCAL_BRANCH); fi
	@set -e; if ! test -d $(LOCAL_BRANCH)/$(GIT_BRANCH_NAME); then git clone $(GIT_URL) $(LOCAL_BRANCH)/$(GIT_BRANCH_NAME); fi
	@set -e; cd $(LOCAL_BRANCH)/$(GIT_BRANCH_NAME); git pull -f
	@echo "updated local branch: $(LOCAL_BRANCH)."

get-snapshot-info:: $(if $(LOCAL_BRANCH),update-local-branch)
	@set -e; \
	git_version=`echo $(DEB_VERSION) | sed -e 's/^.*git\.*\([0-9t]*\)\.\(.*\)-.*$$/\2/g'`; \
	cd $(LOCAL_BRANCH)/$(GIT_BRANCH_NAME); \
	raw=`date --utc --date="$$(git log --pretty=fuller -n1 --date=rfc $$git_version | grep CommitDate: | sed -e 's/CommitDate:[^0-9]*//')" "+%Y-%m-%d %H:%M:%S (GMT)"`; \
	git log -n1 $$git_version --format="%n%s%n%n  * upstream snapshot $$raw%n    + %H%n";

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/ModemManager/([\d\.]+)/ModemManager-(.*)\.tar\.gz

## modemmanager 0.5

=== debian/changelog ===
modemmanager (0.5-1ubuntu1.1) oneiric-proposed; urgency=low

  * debian/patches/git_revert_huawei_probing_rework_7e406c2.patch: revert the
    rework for probing Huawei devices that was introduced in 0.5; it appears to
    break the Huawei E220 and as such constitues a regression. The revert
    appears to let all devices properly work (even the newer ones) and is
    included in version 0.5.2. (LP: #868034)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 14 Mar 2012 15:35:28 -0400

modemmanager (0.5-1ubuntu1) oneiric; urgency=low

  * debian/patches/qdl-blacklist.patch: add more devices to the blacklist of
    Gobi QDL devices. (LP: #842702, #807889)
    - [1410:a014] Novatel Gobi found in the Google CR-48.
    - [03f0:241d] HP un2420 Gobi found in the HP Mini 5102 and Mini 5103.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 06 Sep 2011 10:09:17 -0400

modemmanager (0.5-1) unstable; urgency=low

  * debian/rules: override dh_autoreconf in a nicer way so we don't have to
    clean up manually afterwards.

 -- Michael Biebl <biebl@debian.org>  Sun, 07 Aug 2011 01:47:27 +0200

modemmanager (0.5-0ubuntu1) oneiric; urgency=low

  * New upstream release 0.5.
    - gsm: send init command twice to make the N900 happy (LP: #765516)
    - fix sierra modems' sleep mode command (LP: #459052, #738005)
  * debian/patches/lp700316_usb_blacklist.patch: add extra devices to blacklist
    of USB devices known to usually be serial dongles or other things MM should
    not touch. (LP: #700316)
  * debian/control, debian/rules: add a -dbg package for modemmanager, and
    override dh_strip accordingly. (LP: #415394)
  * debian/rules: fix .la/.a file removal to not fail if there is nothing to
    remove.
  * debian/modemmanager.install: install files to the modemmanager package
    explicitly now that it's not the only binary package.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 05 Aug 2011 12:46:32 -0400

modemmanager (0.4.997-1ubuntu1) oneiric; urgency=low

  * debian/modemmanager.upstart: add an upstart config file so ModemManager
    gets started just before NM, and stopped along with it. (LP: #806082)
  * debian/rules: install upstart file only for Ubuntu.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 08 Jul 2011 15:32:13 -0400

modemmanager (0.4.997-1) unstable; urgency=low

  * debian/watch: Switch to .bz2 tarballs.
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Jun 2011 17:12:41 +0200

modemmanager (0.4.997-0ubuntu1) oneiric; urgency=low

  * New upstream release 0.4.997.
    + switch to git branch MM_05. 

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 09 Jun 2011 09:41:20 -0400

modemmanager (0.4+git.20110429t103114.863dbca-1) unstable; urgency=low

  [ Thomas Bechtold ]
  * debian/rules, debian/control: migrate from CDBS to using dh

  [ Mathieu Trudel-Lapierre ]
  * upstream snapshot 2011-04-29 10:31:14 (GMT)
    + 863dbca63132b820fca6c48a9c212f852752ee16
  * debian/README.source: add instructions for using this packaging branch and
    how to build from it; adapted from the NetworkManager package.
  * debian/rules, debian/control: update control and rules to use dh-autoreconf
    rather than just autoreconf.
  * debian/control: bump Standards-Version to 3.9.2.
  * debian/rules: re-add DEB_* variables which got dropped from the dh
    migration, since we no longer include buildvars.mk.
  * debian/patches/git-backport-e208c52-to-0c4b944.patch,
    debian/patches/git-backport-verbose-cmee-errors-7d20acc.patch: dropped,
    applied upstream.
  * debian/control: bump debhelper Build-Depends to 8.
  * debian/compat: bump to compat level 8, according to the debhelper update.
  * debian/rules: cleanup extra files left behind by intltoolize.

 -- Michael Biebl <biebl@debian.org>  Wed, 04 May 2011 13:17:33 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,42 +1,59 @@
 #!/usr/bin/make -f
 
-DEB_AUTO_UPDATE_LIBTOOL = pre
-DEB_AUTO_UPDATE_AUTOHEADER = 2.50
-DEB_AUTO_UPDATE_AUTOCONF = 2.50
+#For debhelper debugging
+#export DH_VERBOSE=1
 
-# use automake 1.10 ... or 1.11
-ifneq (,$(wildcard /usr/bin/aclocal-1.11))
-DEB_AUTO_UPDATE_ACLOCAL = 1.11
-DEB_AUTO_UPDATE_AUTOMAKE = 1.11 -a -c -f
-else
-DEB_AUTO_UPDATE_ACLOCAL = 1.10
-DEB_AUTO_UPDATE_AUTOMAKE = 1.10 -a -c -f
-endif
+#always exclude any data from version control systems
+DH_ALWAYS_EXCLUDE=.svn:.git:.bzr
 
-include /usr/share/cdbs/1/class/autotools.mk
-include /usr/share/cdbs/1/rules/debhelper.mk
+%:
+	dh $@ --with autoreconf
 
+autoreconf:
+	intltoolize -f
+	autoreconf -f -i
+
+override_dh_autoreconf:
+	dh_autoreconf debian/rules -- autoreconf
+
+override_dh_auto_clean:
+	rm -f $(CURDIR)/debian/modemmanager.upstart
+	dh_auto_clean
+
+override_dh_auto_configure:
+	dh_auto_configure -- \
+		--with-docs
+
+override_dh_makeshlibs:
+	dh_makeshlibs -X/usr/lib/ModemManager/ -X/usr/lib/pppd/
+
+override_dh_strip:
+	dh_strip --dbg-package=modemmanager-dbg
+
+override_dh_install:
+	if dpkg-vendor --is ubuntu; then \
+		cp $(CURDIR)/debian/ubuntu/modemmanager.upstart $(CURDIR)/debian; \
+	fi
+	find $(CURDIR)/debian/tmp/ -name \*.a -exec rm {} \;
+	find $(CURDIR)/debian/tmp/ -name \*.la -exec rm {} \;
+	dh_install
+
+override_dh_installdocs:
+	dh_installdocs -A README AUTHORS docs/spec.html
+
+DEB_SOURCE_PACKAGE := $(shell dpkg-parsechangelog | egrep '^Source:' | cut -f 2 -d ' ')
+DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')
+DEB_NOEPOCH_VERSION := $(shell echo $(DEB_VERSION) | cut -d: -f2-)
+DEB_UPSTREAM_VERSION := $(shell echo $(DEB_NOEPOCH_VERSION) | sed 's/-[^-]*$$//')
 DEB_MAJOR_VERSION := $(shell echo $(DEB_UPSTREAM_VERSION) | sed -e 's/git.*//')
 
-DEB_DH_MAKESHLIBS_ARGS_modemmanager := -X/usr/lib/ModemManager/ -X/usr/lib/pppd/
-
-DEB_INSTALL_DOCS_ALL := README AUTHORS docs/spec.html
-
-DEB_CONFIGURE_EXTRA_FLAGS += \
-		--with-docs \
-		$(NULL)
-
 GIT_URL := git://anongit.freedesktop.org/ModemManager/ModemManager
-GIT_BRANCH := "master"
+GIT_BRANCH := "MM_05"
 GIT_BRANCH_NAME := ModemManager
 
 ifneq (,$(LOCAL_BRANCH))
 LOCAL_REAL_BRANCH = $(realpath $(LOCAL_BRANCH))
 endif
-
-pre-build::
-	# run intltoolize before updating the build system
-	intltoolize -f
 
 GET_SOURCE = \
 	set -e; \
@@ -56,10 +73,6 @@
 		fi; \
 		cd ..; tar --exclude=.git -czf $(CURDIR)/$(DEB_SOURCE_PACKAGE)_$$upstream_version.orig.tar.gz `ls | head -n 1`; \
 		cd $(CURDIR); rm -rf $$tmpdir;
-
-binary-post-install/modemmanager::
-	find $(CURDIR)/debian/modemmanager/ -name \*.a | xargs rm
-	find $(CURDIR)/debian/modemmanager/ -name \*.la | xargs rm
 
 get-current-source:: $(if $(LOCAL_BRANCH), update-local-branch)
 	set -e; if echo $(DEB_VERSION) | grep -c "git" > /dev/null; \

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/gnome/sources/ModemManager/([\d\.]+)/ModemManager-(.*)\.tar\.bz2

## modemmanager 0.5.2.0

=== debian/changelog ===
modemmanager (0.5.2.0-2) unstable; urgency=low

  * debian/patches/dbus_remove_max_replies_per_connection_limit.patch: Remove
    'max_replies_per_connection' limit from D-Bus configuration which sets it
    to 512. It was intended to increase the limit from its historical value of
    32. However, since 2007 the default limit has been 8192, so this is actually
    a reduction. (Closes: #678964)

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Sep 2012 17:07:18 +0200

modemmanager (0.5.2.0-1) unstable; urgency=low

  * Upload to unstable.
  * debian/watch: Track .xz tarballs.

 -- Michael Biebl <biebl@debian.org>  Sat, 24 Mar 2012 01:24:48 +0100

modemmanager (0.5.2.0-0ubuntu1) precise; urgency=low

  * New upstream bugfix release (stable release 0.5.2).
    - hso: disable echo removal (LP: #953294)
    - gsm: retry sending SMS in PDU mode if text fails and PDU is supported

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 14 Mar 2012 12:19:08 -0400

modemmanager (0.5.1.97-0ubuntu1) precise; urgency=low

  * New upstream bugfix release.
    - release: update NEWS
    - cdma: fix crash on NULL error (bgo #670145)
    - Revert "huawei: rework probing and detection" (LP: #868034)
    - core: fix loop limits in echo removal
    - at-serial-port: implement built-in echo/garbage removal (LP: #916038)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 07 Mar 2012 16:22:00 -0500

modemmanager (0.5.1.96+git201202081807.635fce1-0ubuntu3) precise; urgency=low

  * debian/ubuntu/modemmanager.upstart: Remove unnecessary expect fork as
    this does the same thing as just exec'ing. Also check for existence of
    modemmanager in case it has been removed but not purged. (LP: #942908)

 -- Clint Byrum <clint@ubuntu.com>  Tue, 28 Feb 2012 14:35:15 -0800

modemmanager (0.5.1.96+git201202081807.635fce1-0ubuntu2) precise; urgency=low

  * debian/ubuntu/modemmanager.upstart: fix stop condition to make sure we stop
    only when NetworkManager is stopped as much as possible, to avoid being
    respawned by it via DBus. (LP: #869635, #919071)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 16 Feb 2012 10:43:54 -0500

modemmanager (0.5.1.96+git201202081807.635fce1-0ubuntu1) precise; urgency=low

  * upstream snapshot 2012-02-08 18:07:13 (GMT)
    + 635fce193ff3a1dbbdee2abab9aa3ab121df25f0
  * debian/rules: as for NetworkManager, drop a few characters from the version
    number for git snapshots.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 08 Feb 2012 15:47:24 -0500

modemmanager (0.5+git.20111231t174444.1e332ab-0ubuntu1) precise; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * upstream snapshot 2011-12-31 17:44:44 (GMT)
    + 1e332abc957d7eea4521c95d1e28b097de5427e5

  [ Artem Popov ]
  * debian/patches/arduino-blacklist.patch: add Arduino devices to blacklist
    to prevent managing Arduino devices. (LP: #910736)
    - [0403:6001] FT232 USB-Serial (UART) IC.
    - [03eb:204b] Atmel Corp. LUFA USB to Serial Adapter Project.
    - Anything with the Arduino VID (2341).

 -- Artem Popov <artfwo@ubuntu.com>  Mon, 02 Jan 2012 13:32:18 +0700

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: Alexander Sack <asac@ubuntu.com>
 Uploaders: Alexander Sack <asac@debian.org>, Michael Biebl <biebl@debian.org>, Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 8),
+	dh-autoreconf,
 	automake (>= 1:1.10), automake (<< 1:1.12),
-	cdbs,
 	libtool,
 	libdbus-glib-1-dev (>= 0.86),
 	libglib2.0-dev (>= 2.18),
 	libgudev-1.0-dev,
 	xsltproc,
 	intltool
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Vcs-Bzr: https://code.launchpad.net/~modemmanager/modemmanager/ubuntu
 
 Package: modemmanager
@@ -28,3 +28,18 @@
  .
  Git Repository: http://cgit.freedesktop.org/ModemManager/ModemManager/
 
+Package: modemmanager-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: modemmanager (= ${binary:Version}),
+	${misc:Depends}
+Description: D-Bus service for managing modems - debugging symbols
+ Provides a D-Bus interface to communicate with mobile broadband (GSM, CDMA,
+ UMTS, ...) cards. Implements a loadable plugin interface to add work-arounds
+ for non standard devices. Also provides patches to use networkmanager (and
+ the applet) with modem manager.
+ .
+ Git Repository: http://cgit.freedesktop.org/ModemManager/ModemManager/
+ .
+ This package contains debugging symbols for ModemManager.

=== debian/rules ===
--- 
+++ 
@@ -64,10 +64,10 @@
 		echo "getting specific upstream revision/tag: $(1)"; \
 		cd `ls | head -n 1`; git checkout -b orig $(1); \
 		commit_id=`git log -n1 --abbrev-commit | grep '^commit ' | sed -e 's/commit //'`; \
-		raw=`date --utc --date="$$(git log --pretty=fuller -n1 --date=rfc | grep CommitDate: | sed -e 's/CommitDate:[^0-9]*//')" "+%Y%m%dt%H%M%S"`; \
+		raw=`date --utc --date="$$(git log --pretty=fuller -n1 --date=rfc | grep CommitDate: | sed -e 's/CommitDate:[^0-9]*//')" "+%Y%m%d%H%M"`; \
 		if echo $(1) | grep -c "orig" > /dev/null || echo $(DEB_VERSION) | grep -c "git" > /dev/null; \
 		then \
-			upstream_version=$(DEB_MAJOR_VERSION)git.$$raw.$$commit_id; \
+			upstream_version=$(DEB_MAJOR_VERSION)git$$raw.$$commit_id; \
 		else \
 			upstream_version=$(DEB_UPSTREAM_VERSION); \
 		fi; \

## modemmanager 0.6.0.0.really

=== debian/changelog ===
modemmanager (0.6.0.0.really-0ubuntu7) saucy; urgency=low

  * debian/patches/lp1229748_bluegiga_blacklist.patch: don't reset BLED112B.
    (LP: #1229748)

 -- Alan Bell <alanbell@ubuntu.com>  Tue, 24 Sep 2013 15:39:47 +0100

modemmanager (0.6.0.0.really-0ubuntu6) saucy; urgency=low

  * Build-depend on automake1.11.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Sep 2013 14:57:53 +0200

modemmanager (0.6.0.0.really-0ubuntu5) raring; urgency=low

  * debian/patches/lp1164023_try_csq_if_cind_fails_5d854a3.patch: fallback to
    trying AT+CSQ if AT+CIND fails. (LP: #1164023)
  * debian/patches/git_udev_match_both_vid_pid_e322ccf.patch: match both VID
    and PID when matching devices: If the rules to tag specific USB interface
    numbers only apply on the PID, we'll end up seeing that if the port has a
    parent with another PID, and that other PID also has a rule, port will get
    tagged multiple times.
  * debian/patches/git_mbm_remove_check_poll_when_conn_1652019.patch: mbm:
    remove connection attempt check poll explicitly when connected: Completing
    a MMCallbackInfo is done asynchronously (in an idle), which means that we
    may get the poll timeout called in between...

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 10 Apr 2013 21:20:53 -0400

modemmanager (0.6.0.0.really-0ubuntu4) raring; urgency=low

  * debian/patches/git_cdma_double_free_05a4226.patch: cdma: avoid double free
    of GError (LP: #1083659)
  * debian/patches/git_ignore_arduino_aa84ce9.patch: properly ignore more
    arduino devices. (LP: #1153632)
  * debian/patches/git_ignore_west_mountain_radios_e608b17.patch: ignore West
    Mountain amateur radio systems. (LP: #1154654)
  * debian/patches/lp700316_usb_blacklist.patch: refreshed.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 01 Apr 2013 11:07:37 -0400

modemmanager (0.6.0.0.really-0ubuntu3) raring; urgency=low

  * debian/patches/linux-default-usb-id.patch: blacklist the USB-Gadget default
    USB ID (the module actually allows you to set a custom one). The default ID
    is re-used by the Nexus 7 with Ubuntu images to expose a tty you can use
    to login to the system; but if it's not ignored ModemManager will
    harass it for some time trying to probe it. (LP: #1105352)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 28 Jan 2013 11:24:42 -0500

modemmanager (0.6.0.0.really-0ubuntu2) raring; urgency=low

  * debian/patches/handle_data07_capabilities_probing.patch: properly handle
    probing for the Huawei Data07 modem. (LP: #1071492)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 20 Nov 2012 17:26:04 -0500

modemmanager (0.6.0.0.really-0ubuntu1) quantal; urgency=low

  * Upload the right tarball for 0.6.0.0 from upstream, which I somehow
    mishandled before. Thanks to Marius B. Kotsbak for pointing out the issue.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 08 Oct 2012 11:03:19 -0400

modemmanager (0.6.0.0-0ubuntu4) quantal; urgency=low

  * debian/patches/git_fall_back_to_csq_cind_8bd6903.patch: fallback to +CSQ if
    +CIND reports a signal level of 0. (LP: #1060831)
  * debian/patches/git_move_cind_process_func_1dee45e.patch: moving the CIND
    processing function down a bit to make the above change cleaner. Cherry-pick
    from upstream.
  * debian/patches/ericsson_h5321gw_usbids.patch: Add another known USB ID for
    the Ericsson H5321gw. (LP: #1057956)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 04 Oct 2012 16:38:54 -0400

modemmanager (0.6.0.0-0ubuntu3) quantal; urgency=low

  * debian/patches/git_lte_4g_parsing_90489ae.patch,
    debian/patches/git_lte_etsi_mode_0af47c7.patch: cherry-pick the patches
    to properly handle and display LTE/4G technology modes. (LP: #1044744)
  * debian/patches/git_lp1015328_segfault_in_clck_parser_318aaa0.patch: avoid
    crashing when parsing +CLCK responses. (LP: #1015328)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 25 Sep 2012 16:51:16 -0400

modemmanager (0.6.0.0-0ubuntu2) quantal; urgency=low

  * debian/patches/git_better_handle_ucs2_convert_e07c216.patch,
    debian/patches/git_skip_add_utf8_check_219424a.patch: fix UCS2 conversion
    for some Huawei devices which return "garbage" along with the response for
    the +COPS command. (LP: #1049426)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 14 Sep 2012 14:15:15 -0400

modemmanager (0.6.0.0-0ubuntu1) quantal; urgency=low

  * New upstream release. (LP: #1043486)
  * debian/patches/fix-format-string.patch: dropped, applied upstream.
  * debian/patches/qdl-blacklist.patch: replaced with installing the rules file
    directly to the udev rules directory.
  * debian/77-mm-qdl-device-blacklist.rules, debian/rules: additional rules
    file from the qdl-blacklist.patch; we now install it directly to the udev
    rules directory. This fixes daily builds.
  * debian/rules: build with --with-tests.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 07 Sep 2012 10:58:06 -0400

modemmanager (0.6~git201206221719.8289a64-0ubuntu1) quantal; urgency=low

  * upstream snapshot 2012-06-22 17:19:35 (GMT)
    + 8289a646fd19b6ddfba48214e94297ff96f731eb
    - decode: harmonize with git master
    - decode: update with latest QMI enums
    - zte: try to handle Icera devices that use PPP
    - uml290: allow setting more global modes (LP: #824114)
    - qcdm: fix 1x/HDR mode pref and add GSM/UMTS mode prefs
    - trivial: whitespace fixes
    - uml290: add mode switching tool
    - wmc: namespace stuff properly
    - qcdm: namespace stuff properly
    - wmc: add command for setting global mode
    - cdma: fix QCDM registration state checking
    - test: ignore ESN errors in info.py
    - dbus: remove 'max_replies_per_connection' limit from D-Bus configuration
  * debian/patches/fix-format-string.patch: fix a missing format string in
    a fprintf call for uml290mode; it makes the build fail otherwise.



=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Alexander Sack <asac@debian.org>, Michael Biebl <biebl@debian.org>, Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>
 Build-Depends: debhelper (>= 8),
 	dh-autoreconf,
-	automake (>= 1:1.10), automake (<< 1:1.12),
+	automake1.11,
 	libtool,
 	libdbus-glib-1-dev (>= 0.86),
 	libglib2.0-dev (>= 2.18),

## modemmanager 1.0.0

=== debian/changelog ===
modemmanager (1.0.0-2ubuntu1) trusty; urgency=medium

  * debian/rules: Work around build failure with -O3 by dropping to -O2.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 25 Feb 2014 16:12:24 -0700

modemmanager (1.0.0-2) experimental; urgency=medium

  * Sync more changes from Ubuntu:
    - changelog for 0.6.0.0.really-0ubuntu4 (all changes dropped, they are
      patches included in the current upstream version).
    - changelog for 0.6.0.0.really-0ubuntu5 (all changes dropped, they are
      patches included in the current upstream version).
    - changelog for 0.6.0.0.really-0ubuntu6.
    - Build-Depend on automake1.11.
    - changelog for 0.6.0.0.really-0ubuntu7.
    - lp1229748_bluegiga_blacklist.patch: don't reset BLED112B.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 14 Jan 2014 10:02:26 -0500

modemmanager (1.0.0-1) experimental; urgency=low

  * New upstream release. (Closes: #728214, #728215)
  * debian/control: add a versioned dependency for libqmi -- we need at least
    version 1.4.
  * debian/control: build-depends on libmbim-glib-dev 1.4
  * debian/rules: run the local autogen.sh rather than gnome-autogen.sh.
  * debian/rules: drop --with-tests. 
  * debian/rules: clean up after gtk-doc files left around.
  * debian/patches/glib_fixes.patch: link against glib explicitly for the
    huawei modem helper tests.
  * debian/libmm-glib0.symbols: updated symbols: Contacts interface that was
    in 0.7.990 got dropped; it's not actually implemented, so upstream avoids
    exposing it.
  * debian/watch: update watch file for new location of upstream source.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 20 Dec 2013 15:35:26 -0500

modemmanager (0.7.991-1) experimental; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * New upstream release.
  * debian/patches/handle_data07_capabilities_probing.patch,
    debian/patches/git_skip_add_utf8_check_219424a.patch,
    debian/patches/git_lte_etsi_mode_0af47c7.patch,
    debian/patches/git_lte_4g_parsing_90489ae.patch,
    debian/patches/git_lp1015328_segfault_in_clck_parser_318aaa0.patch,
    debian/patches/git_better_handle_ucs2_convert_e07c216.patch: Dropped,
    these patches were cherry-picks; included upstream
  * debian/patches/ericsson_h5321gw_usbids.patch: dropped, included upstream.
  * debian/control:
    - clean up build-depends: remove xsltproc, bump
      libglib2.0-dev to (>= 2.30.2), libgudev-1.0-dev to (>= 147).
    - Add gtk-doc-tools to Build-Depends.
    - Add libqmi-glib-dev to Build-Depends.
    - Add gnome-common to Build-Depends.
    - Bump debhelper Build-Depends to >= 9.
    - Make sure libmm-glib0 pre-depends on multiarch-support (lintian).
    - Make libmm-glib0 Multi-Arch: same.
    - Make sure all binary packages (except modemmanager-dbg) are priority
      optional.
    - Update short descriptions.
    - Breaks network-manager (<< 0.9.8.2-1) since otherwise NetworkManager
      will not see ModemManager with its new API.
  * debian/compat: bump to compat level 9.
  * debian/rules:
    - Replace --with-docs with --enable-gtk-doc.
    - Fix autoreconf to run gnome-autogen.sh.
    - Drop the override for installdocs; docs/spec.html isn't being built
      anymore.
    - Run dh_install with --fail-missing.
    - Remove test pppd plugin which we shouldn't install.
    - Drop old cruft for getting git snapshots.
    - We don't need to exclude the pppd path from makeshlibs, since nothing
      gets installed there.
  * debian/patches/lp700316_usb_blacklist.patch: refreshed.
  * debian/patches/arduino-blacklist.patch: refreshed.
  * debian/patches/linux-default-usb-id.patch: refreshed.
  * debian/*.install: make sure the files are properly installed given the new
    packages, also take into account multiarch paths.
  * debian/modemmanager.install: install the new mmcli binary.
  * debian/ubuntu/modemmanager.upstart: fix the name for the ModemManager
    binary, since it was changed upstream.
  * debian/patches/dbus_remove_max_replies_per_connection_limit.patch: dropped,
    included upstream.

  [ Michael Biebl ]
  * Add symbols file for libmm-glib0.

  [ Marius B. Kotsbak ]
  * Added binary packages modemmanager-doc and libmm-glib-doc for gtk-docs.
  * Split out modemmanager-dev package containing header files and .pc file.
    - add dependency on modemmanager-dev from libmm-glib-dev
      as stated in "mm-glib.pc"
    - add proper replaces/breaks for modemmanager-dev because of moved files
  * Build-depends: added "libglib2.0-doc" for the cross references in the doc
    to work.
  * debian/rules: make dh_makeshlibs override multiarch aware.
  * Update standards version to current 3.9.4.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 11 Jun 2013 10:35:42 -0400

=== debian/control ===
Source: modemmanager
Section: net
Priority: optional
Maintainer: Alexander Sack <asac@ubuntu.com>
Uploaders: Alexander Sack <asac@debian.org>, Michael Biebl <biebl@debian.org>, Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               automake1.11,
               libtool,
               intltool,
               gtk-doc-tools,
               gnome-common,
               libglib2.0-dev (>= 2.30.2),
               libgudev-1.0-dev (>= 147),
               libqmi-glib-dev (>= 1.4),
               libmbim-glib-dev (>= 1.4),
               libglib2.0-doc,
Standards-Version: 3.9.4
Vcs-Bzr: https://code.launchpad.net/~modemmanager/modemmanager/ubuntu

Package: modemmanager
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: usb-modeswitch
Breaks: network-manager (<< 0.9.8.2-1)
Description: D-Bus service for managing modems
 Provides a D-Bus interface to communicate with mobile broadband (GSM, CDMA,
 UMTS, ...) cards. Implements a loadable plugin interface to add work-arounds
 for non standard devices. Also provides patches to use networkmanager (and
 the applet) with modem manager.
 .
 Git Repository: http://cgit.freedesktop.org/ModemManager/ModemManager/

Package: modemmanager-dbg
Architecture: any
Section: debug
Priority: extra
Depends: modemmanager (= ${binary:Version}),
         ${misc:Depends},
Description: D-Bus service for managing modems - debugging symbols
 Provides a D-Bus interface to communicate with mobile broadband (GSM, CDMA,
 UMTS, ...) cards. Implements a loadable plugin interface to add work-arounds
 for non standard devices. Also provides patches to use networkmanager (and
 the applet) with modem manager.
 .
 Git Repository: http://cgit.freedesktop.org/ModemManager/ModemManager/
 .
 This package contains debugging symbols for ModemManager.

Package: modemmanager-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Replaces: modemmanager (<< 0.7.990)
Breaks: modemmanager (<< 0.7.990)
Suggests: modemmanager-doc
Description: D-Bus service for managing modems - development files
 Provides a D-Bus interface to communicate with mobile broadband (GSM, CDMA,
 UMTS, ...) cards. Implements a loadable plugin interface to add work-arounds
 for non standard devices. Also provides patches to use networkmanager (and
 the applet) with modem manager.
 .
 Git Repository: http://cgit.freedesktop.org/ModemManager/ModemManager/
 .
 This package contains header files for ModemManager.

Package: modemmanager-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Description: D-Bus service for managing modems - documentation files
 Provides a D-Bus interface to communicate with mobile broadband (GSM, CDMA,
 UMTS, ...) cards. Implements a loadable plugin interface to add work-arounds
 for non standard devices. Also provides patches to use networkmanager (and
 the applet) with modem manager.
 .
 Git Repository: http://cgit.freedesktop.org/ModemManager/ModemManager/
 .
 This package contains documenation of the d-bus protocol to interface
 ModemManager.

Package: libmm-glib0
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends},
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: modemmanager (>= ${binary:Version})
Description: D-Bus service for managing modems - shared libraries
 Provides a D-Bus interface to communicate with mobile broadband (GSM, CDMA,
 UMTS, ...) cards. Implements a loadable plugin interface to add work-arounds
 for non standard devices. Also provides patches to use networkmanager (and
 the applet) with modem manager.
 .
 Git Repository: http://cgit.freedesktop.org/ModemManager/ModemManager/
 .
 This package contains shared libraries for applications interfacing with
 ModemManager.

Package: libmm-glib-dev
Architecture: any
Section: libdevel
Depends: libmm-glib0 (= ${binary:Version}),
         modemmanager-dev,
         ${shlibs:Depends},
         ${misc:Depends},
Suggests: libmm-glib-doc
Description: D-Bus service for managing modems - library development files
 Provides a D-Bus interface to communicate with mobile broadband (GSM, CDMA,
 UMTS, ...) cards. Implements a loadable plugin interface to add work-arounds
 for non standard devices. Also provides patches to use networkmanager (and
 the applet) with modem manager.
 .
 Git Repository: http://cgit.freedesktop.org/ModemManager/ModemManager/
 .
 This package contains development files to use when writing applications that
 interface with ModemManager.

Package: libmm-glib-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Description: D-Bus service for managing modems - library documentation
 Provides a D-Bus interface to communicate with mobile broadband (GSM, CDMA,
 UMTS, ...) cards. Implements a loadable plugin interface to add work-arounds
 for non standard devices. Also provides patches to use networkmanager (and
 the applet) with modem manager.
 .
 Git Repository: http://cgit.freedesktop.org/ModemManager/ModemManager/
 .
 This package contains documentation of libmm-glib to use when writing
 applications that interface with ModemManager.

=== debian/rules ===
#!/usr/bin/make -f

#For debhelper debugging
#export DH_VERBOSE=1

ifneq (,$(filter -O3,$(shell dpkg-buildflags --get CFLAGS)))
  export DEB_CFLAGS_MAINT_STRIP   = -O3
  export DEB_CFLAGS_MAINT_PREPEND = -O2
endif

#always exclude any data from version control systems
DH_ALWAYS_EXCLUDE=.svn:.git:.bzr

export NOCONFIGURE=true

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf -- ./autogen.sh

override_dh_auto_clean:
	rm -f $(CURDIR)/debian/modemmanager.upstart
	rm -f gtk-doc.make m4/gtk-doc.m4
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- \
                --enable-gtk-doc

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/ModemManager/

override_dh_strip:
	dh_strip --dbg-package=modemmanager-dbg

override_dh_install:
	cp $(CURDIR)/debian/77-mm-qdl-device-blacklist.rules \
		 $(CURDIR)/debian/tmp/lib/udev/rules.d
	if dpkg-vendor --is ubuntu; then \
		cp $(CURDIR)/debian/ubuntu/modemmanager.upstart $(CURDIR)/debian; \
	fi
	find $(CURDIR)/debian/tmp/ -name \*.a -exec rm {} \;
	find $(CURDIR)/debian/tmp/ -name \*.la -exec rm {} \;
	rm -f $(CURDIR)/debian/tmp/usr/lib/*/pppd/*/mm-test-pppd-plugin.*
	dh_install --fail-missing

=== debian/watch ===
version=3
http://www.freedesktop.org/software/ModemManager/ModemManager-(.*)\.tar\.xz
